from arkindex.users import providers
from arkindex.users.providers import get_provider
from django.test import TestCase


class TestProviders(TestCase):

    def test_get_provider(self):

        class SomeProvider(object):
            pass

        providers.oauth_providers = [SomeProvider]
        self.assertEqual(get_provider('SomeProvider'), SomeProvider)
        self.assertIsNone(get_provider('doesnotexist'))
